"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = require("path");
var meta = require("../package.json");
function nuxtGoogleMapsModule(moduleOptions) {
    if (moduleOptions === void 0) { moduleOptions = {}; }
    var options = Object.assign({}, this.options.googleMaps || moduleOptions);
    if (options.key === undefined)
        throw new Error('[GoogleMaps Module] Required api key in configuration.');
    if (options.libraries === undefined)
        options.libraries = 'places';
    else if (Array.isArray(options.libraries))
        options.libraries = options.libraries.join(', ');
    options.autobindAllEvents = options.autobindAllEvents !== false;
    options.installComponents = options.installComponents !== false;
    this.extendBuild(function (config, _a) {
        var isClient = _a.isClient;
        if (isClient)
            return;
        var handler = function (_, request, callback) { return (/^vue2-google-maps($|\/)/.test(request) ? callback(null, false) : callback()); };
        config.externals = config.externals || {};
        Array.isArray(config.externals) ? config.externals.unshift(handler) : (config.externals['vue2-google-maps'] = handler);
    });
    this.addPlugin({ src: path_1.join(__dirname, './lib/templates/plugin.js'), options: options });
}
nuxtGoogleMapsModule['meta'] = meta;
exports.default = nuxtGoogleMapsModule;
//# sourceMappingURL=nuxt-google-maps.js.map